/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SCREEN_CONNECTOR_COMMON_WL_SURFACE_H_
#define SCREEN_CONNECTOR_COMMON_WL_SURFACE_H_

#include <Ecore_Wl2.h>

#include "screen_connector_common/export.h"
#include "screen_connector_common/handle.h"

namespace screen_connector {

class EXPORT WlSurface : public Handle<struct wl_surface*> {
 public:
  explicit WlSurface(struct wl_surface* raw)
      : Handle<struct wl_surface*>(raw, false) { }

  virtual ~WlSurface() { }
};

}  // namespace screen_connector

#endif  // SCREEN_CONNECTOR_COMMON_WL_SURFACE_H_
